Subject: bug#25408: Remove Decorations Around Emacs Frame (Windows OS)

From: Alan Third <[email-masked]>
Date: Wed, 12 Apr 2017 18:38:58 +0100

On Sat, Feb 11, 2017 at 03:27:36PM +0100, martin rudalics wrote:
> 
> To remove a frame's decorations, use the frame parameter `undecorated'
> as in
> 
> (set-frame-parameter nil 'undecorated t)
> 
> To give that frame back its decorations use
> 
> (set-frame-parameter nil 'undecorated nil)
> 
> To make a new frame undecorated use
> 
> (make-frame '((undecorated . t)))

Hi Martin, this is really good.

I’ve got this semi‐working in the NS port, but I have a strange
problem, and I want to check it’s not intentional.

Should an undecorated frame be resizable? ie. if you run something
like

    (set-frame-size nil 20 20)

would you expect the frame to resize?

Mine currently resizes if the frame was created with decorations and
they were removed, but not if it was created without them. I suspect
creating it without decorations is breaking some NS → Emacs event
path.

Thanks!
-- 
Alan Third